Ruby EE for Solaris!

Ruby1.8.6互換で、GCをmark&sweepに対応させ、メモリ使用量を削減したRuby Enterprise Editionに、ついにSolaris正式対応版が登場。

Ruby Enterprise Edition 20081205

正式対応したことで、インストールも非常に簡単に。


$ gtar zxvf ruby-enterprise-1.8.6-20081205.tar.gz
$ ./ruby-enterprise-1.8.6-20081205/installer



注意点としては1つ。LD_LIBRARY_PATHを/opt/sfw/libに通していると、コンパイルエラーとなりますので、/opt/sfw/libを外してください。

sparc Solarisでしか試していませんが、多分x86でも行けると思います。

これでSolarisでもApache2+Passenger+Ruby EEという組み合わせが使えます!

投稿されたコメント:

コメント
  • HTML文法 不許可
About

Tomo

Search

Archives
« 4月 2014
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
今日